{% load static %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Genre Details</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}">
    </head>

    <body>
        <header>
            <nav>
                <ul>
                  <li>
                    <a href="{% url 'books_list' %}">Home</a>
                  </li>
                  <li>
                    <a href="{% url 'admin:index' %}">Admin</a>
                  </li>
                  <li>
                    <a href="{% url 'create_book' %}">Add a Magazine</a>
                  </li>
                </ul>
              </nav>
        </header>
        <main>
            
            <div class="section">
                <h1>{{ genre.name }}</h1>
                <h3>Magazines:</h3>
                {% for magazine in genre.magazines.all %}
                <p>{{ magazine.title }}</p>
                {% if magazine.cover %}
                <img src={{magazine.cover}} alt="cover" width=300px height=auto>
                {% endif %}
                {% endfor %}
                <hr>

            </div>
            
        </main>
    </body>

</html>